> For the complete documentation index, see [llms.txt](https://docs.0resmon.org/0resmon/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0resmon.org/0resmon/bp-resources/bp-inventory/config-settings/config_items.lua-settings.md).

# Config\_items.lua settings

Here you can set the animation of the clothing and non-clothing versions of the ped.

```lua
Config.clothingsettings = {}
```

With this setting you can set which weapons will appear as props behind the character (with coordinates and position)

```lua
Config.weaponback = { isenabled = true, weapons  = { ["weapon_smg"] = { model="w_sb_smg", back_bone = 24818, x = 0.0, y = -0.17, z = -0.12, x_rotation = 0.0, y_rotation = -180.0, z_rotation = 180.0, }, ["weapon_assaultrifle"] = { model="w_ar_assaultrifle", back_bone = 24818, x = 0.0, y = -0.17, z = -0.05, x_rotation = 0.0, y_rotation = -180.0, z_rotation = 180.0, }, ["weapon_carbinerifle"] = { model="w_ar_carbinerifle", back_bone = 24818, x = 0.0, y = -0.17, z = 0.08, x_rotation = 0.0, y_rotation = -180.0, z_rotation = 180.0, }, ["weapon_rpg"] = { model="w_lr_rpg", back_bone = 24818, x = 0.2, y = -0.17, z = 0.0, x_rotation = 0.0, y_rotation = 180.0, z_rotation = 180.0, }, } }
```

With this setting, you can enter the default decrease value of items whose durability will decrease. (if the item is set in Config.Durabilityitems, it will not use this setting)

```lua
Config.DefaultDurabilityMinus = 1
```

#### ITEM ADD EXAMPLE (Config.allitems)

Here is how you can simply add items inside the config.allitems setting.

```lua
['water']  = {
    ['name'] = 'water',   -- item name
    ['label'] = 'Bottle of Water', -- item label
    ['weight'] = 1, -- item weight(with kg) example: 0.2
    ['size_width'] = 1, -- item width size 
    ['size_height'] = 1, -- item height size
    ['itype'] = 'food', -- item type (food,weapon,other,health )
    ['image'] = 'water.png',  -- item iamge
    ['stackable'] = true, -- item stack ?
    ['stacklimit'] = 20,  -- item stack limit 
    ['useable'] = true,  --- Can the item be used?
    ['shouldClose'] = true, -- should the inventory be closed after the item is used?
    ['combinable'] = nil, -- none good
    ['description'] = 'This is food.You can drink this. Calm down, trust the plan.'
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0resmon.org/0resmon/bp-resources/bp-inventory/config-settings/config_items.lua-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
